=== debian/control ===
--- 
+++ 
@@ -6,22 +6,21 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.08.2~),
-               libakonadicalendar-dev (>= 4:24.08.2~),
-               libakonadinotes-dev (>= 4:24.08.2~),
-               libkcalendarutils-dev (>= 4:24.08.2~),
-               libkf6calendarcore-dev (>= 6.3.0~),
-               libkf6codecs-dev (>= 6.3.0~),
-               libkf6guiaddons-dev (>= 6.3.0~),
-               libkf6holidays-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6kio-dev (>= 6.3.0~),
-               libkidentitymanagement-dev (>= 24.08.2~),
-               libkmime-dev (>= 24.08.2~),
+               libakonadi-dev (>= 4:24.12.0~),
+               libakonadicalendar-dev (>= 4:24.12.0~),
+               libkcalendarutils-dev (>= 4:24.12.0~),
+               libkf6calendarcore-dev (>= 6.6.0~),
+               libkf6codecs-dev (>= 6.6.0~),
+               libkf6guiaddons-dev (>= 6.6.0~),
+               libkf6holidays-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkidentitymanagement-dev (>= 24.12.0~),
+               libkmime-dev (>= 24.12.0~),
                libktextaddons-dev (>= 1.5.4~),
-               qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,
 Standards-Version: 4.7.0
@@ -43,11 +42,11 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadicalendar-dev (>= 4:24.08.2~),
-         libkidentitymanagement-dev (>= 24.08.2~),
-         libkmime-dev (>= 24.08.2~),
+Depends: libakonadicalendar-dev (>= 4:24.12.0~),
+         libkidentitymanagement-dev (>= 24.12.0~),
+         libkmime-dev (>= 24.12.0~),
          libkpim6calendarsupport6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: KDE PIM Calendar support - development files
  This library provides calendar support for KDE PIM.
