## calendarsupport 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.3.2")
+set(PIM_VERSION "6.3.3")
 
 project(calendarsupport VERSION ${PIM_VERSION})
 
@@ -45,11 +45,11 @@
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 set(CALENDARSUPPORT_LIB_VERSION ${PIM_VERSION})
-set(KMIME_LIB_VERSION "6.3.2")
-set(CALENDARUTILS_LIB_VERSION "6.3.2")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.3.2")
-set(AKONADICALENDAR_LIB_VERSION "6.3.2")
-set(AKONADI_VERSION "6.3.2")
+set(KMIME_LIB_VERSION "6.3.3")
+set(CALENDARUTILS_LIB_VERSION "6.3.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.3.3")
+set(AKONADICALENDAR_LIB_VERSION "6.3.3")
+set(AKONADI_VERSION "6.3.3")
 set(KTEXTADDONS_MIN_VERSION "1.5.4")
 find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test PrintSupport)
