=== debian/control ===
--- 
+++ 
@@ -8,22 +8,22 @@
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.2~),
-               libakonadicalendar-dev (>= 4:24.12.2~),
-               libkcalendarutils-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
+               libakonadicalendar-dev (>= 4:24.12.3~),
+               libkcalendarutils-dev (>= 4:24.12.3~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6guiaddons-dev (>= 6.6.0~),
                libkf6holidays-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.2~),
-               libkmime-dev (>= 24.12.2~),
+               libkidentitymanagement-dev (>= 24.12.3~),
+               libkmime-dev (>= 24.12.3~),
                libktextaddons-dev (>= 1.5.4~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/calendarsupport
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/calendarsupport
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/calendarsupport.git
@@ -42,9 +42,9 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadicalendar-dev (>= 4:24.12.2~),
-         libkidentitymanagement-dev (>= 24.12.2~),
-         libkmime-dev (>= 24.12.2~),
+Depends: libakonadicalendar-dev (>= 4:24.12.3~),
+         libkidentitymanagement-dev (>= 24.12.3~),
+         libkmime-dev (>= 24.12.3~),
          libkpim6calendarsupport6 (= ${binary:Version}),
          qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
