=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.04.2~),
-               libakonadicalendar-dev (>= 4:25.04.2~),
-               libkcalendarutils-dev (>= 4:25.04.2~),
+               libakonadi-dev (>= 4:25.04.3~),
+               libakonadicalendar-dev (>= 4:25.04.3~),
+               libkcalendarutils-dev (>= 4:25.04.3~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6guiaddons-dev (>= 6.6.0~),
                libkf6holidays-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.04.2~),
-               libkmime-dev (>= 25.04.2~),
+               libkidentitymanagement-dev (>= 25.04.3~),
+               libkmime-dev (>= 25.04.3~),
                libktextaddons-dev (>= 1.5.4~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
@@ -43,9 +43,9 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadicalendar-dev (>= 4:25.04.2~),
-         libkidentitymanagement-dev (>= 25.04.2~),
-         libkmime-dev (>= 25.04.2~),
+Depends: libakonadicalendar-dev (>= 4:25.04.3~),
+         libkidentitymanagement-dev (>= 25.04.3~),
+         libkmime-dev (>= 25.04.3~),
          libkpim6calendarsupport6 (= ${binary:Version}),
          qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
